html, body {
    height: 100% fit-content;
    width: 100% fit-content;
}


body {
	font-family: "Lucida Grande", "Lucida Sans Unicode", "Lucida Sans", "DejaVu Sans", Verdana, sans-serif;
    font-size: 12px;
    margin: 0;
    padding: 4px;
    color: white;
    background-color: rgb(56, 56, 56);
    margin:0px;
}

.div1 {
    color: white;
    background-color: rgb(87, 87, 87);
    font-size: 14px;
    text-align: center;
    height: 50px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.div2 {
    color: white;
    background-color: rgb(22, 94, 58);
    font-size: 12px;
    text-align: center;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.couleur_lampe {
    width: 50px;
    height: 50px;
    border-radius: 4px;
    margin: 10px auto;
    border: 2px solid #000000;
}


/* Affichage texte luminosité */
.info_lampe {
    color: white;
    text-align: center;
    font-size: 12px;
    margin: 5px;
}

.btn1 {
    background-color: #083d04; /* couleur du fond */
    color: white;              /* couleur du texte */
    border: none;              /* supprime la bordure */
    padding: 10px 20px;        /* espace intérieur */
    font-size: 12px;
    border-radius: 4px;        /* coins arrondis */
    cursor: pointer;            /* curseur main */
}

.btn2 {
    background-color: #0f3b0c; /* couleur du fond */
    color: rgb(0, 0, 0);              /* couleur du texte */
    border: none;              /* supprime la bordure */
    padding: 10px 20px;        /* espace intérieur */
    font-size: 12px;
    border-radius: 4px;        /* coins arrondis */
    cursor: pointer;            /* curseur main */
}

.formulaire {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 10px;
}

button  {
    display: block;
    margin: 10px auto;
}

input {
    display: block;
    margin: 10px auto;
    width: 250px;
    height: 24px;
    padding: 8px;
    font-size: 16px;
    color: #000000;
    background-color: #48f164;
    border: 1px solid #ccc;
    border-radius: 8px;
}
/*
input[type="range"] {
    width: 250px;
    margin: 10px auto;
}
*/
/* Conteneur des réglages lampe 
.reglage_lampe {
    
    width: 250px;
    margin: 15px auto;
    text-align: center;
}
*/

/* ---------------------
   Sélecteur couleur
--------------------- */
.color_lampe {
    width: 100px;
    height: 40px;
    margin: 10px auto;
    padding: 0;
    border: 2px solid black;
    border-radius: 0px;
    cursor: pointer;
    background-color: transparent;
}

.color_lampe2 {
    width: 100%;
    height: 40px;
    margin: 10px auto;
    padding: 0;
    border: 2px solid black;
    border-radius: 0px;
    cursor: pointer;
    background-color: transparent;
}

/* Slider luminosité */
.slider_lampe {
    /*display: block;*/
    width: 94%;
    height: 8px;
    margin: 15px auto;

    background: #155233;
    border: 2px solid black;
    border-radius: 4px;

    appearance: none;
    -webkit-appearance: none;
}

/* Curseur Chrome / Edge / Firefox */
.slider_lampe::-webkit-slider-thumb {
    appearance: none;
    -webkit-appearance: none;
    width: 22px;
    height: 22px;
    background: #057935;
    border-radius: 50%;
    cursor: pointer;
    border: 2px solid black;
}


.slider_lampe::-moz-range-thumb {
    width: 22px;
    height: 22px;
    background: #48f164;
    border-radius: 50%;
    cursor: pointer;
    border: 2px solid black;
}

.select_lampe {
    display: block;
    width: 100%;
    height: 35px;
    margin: 10px auto;
    padding: 5px;
    color: white;
    background-color: #083d04;
    /*border: 1px solid white;*/
    border-radius: 4px;
    font-size: 12px;
}

.menu-item {
    height: 45px;
    margin: 10px 8px;
    background-color: #000000;
    border-radius: 6px;
    display: flex;
    align-items: center;
    color: white;
    cursor: pointer;
}


.menu-item2 {
    height: 45px;
    margin: 10px 8px;
    background-color: #202b36;
    border-radius: 6px;
    display: flex;
    align-items: center;
    color: black;
}

.menu-icon {
    width: 45px;
    text-align: center;
    font-size: 20px;
}


.menu-text {
    flex: 1;
    font-size: 14px;
    font-weight: 500;
}


.menu-arrow {
    width: 35px;
    text-align: center;
    color: #71808f;
    font-size: 26px;
    /*
    display: flex;
    align-items: center;      
    justify-content: center; 
    */ 
}